# DipTrace
Various <a href="http://diptrace.com/">DipTrace</a> components libraries.

Some components here are missed from DipTrace standard libraries (or at least were missed prior to DipTrace 3.0), some are awkwardly named in those libraries. Also, basic SMD footprints (resistors, capacitors, inductors) were optimized for reflow soldering — which means smaller pads and occupied PCB space — they are in SMD library.

Components provided without any warranty, althought most of them were used in real designs.

<table>
<tbody>
<tr>
<td><b>Library</b></td>
<td><b>Components</b></td>
</tr>

<tr>
<td>Agilent</td>
<td>HCPL-3760</td>
</tr>

<tr>
<td>Alcor Micro</td>
<td>AU6351</td>
</tr>

<tr>
<td>Allegro</td>
<td>ACS711</td>
</tr>

<tr>
<td>Analog Devices</td>
<td>ADE7753<br>
ADE7757<br>
ADM2483<br>
ADuM1201<br>
ADuM1251</td>
</tr>

<tr>
<td>Antenna</td>
<td>Johanson 0868AT43A0020<br>
2.4GHz meander PCB antenna (see TI AN058)<br>
868MHz helical PCB antenna (see TI AN058)<br>
ACM4-5036-A1-CC-S GPS antenna<br>
Amotech AMMAP003 GSM antenna (900/1800/2100 MHz)<br>
868MHz meander PCB antenna (see TI AN058 and DN024)<br>
Pulse W3008<br>
Pulse W3013<br></td>
</tr>

<tr>
<td>Arduino</td>
<td>Arduino Micro board<br>
Arduino Uno R3 board</td>
</tr>

<tr>
<td>Audio</td>
<td>KPCM-B40H15PC43 microphone</td>
</tr>

<tr>
<td>Batteries</td>
<td>
COMF BC-0301 AA battery holder<br>
COMF BC-0401 AAA battery holder<br>
COMF BC-2001 CR2032 battery holder<br>
COMF BC-2002 CR2032 battery holder<br>
COMF BHC-CR123A battery holder<br>
Multicomp CH7410-2032 battery holder<br>
EEMB ER18505-VB battery<br>
</td>
</tr>

<tr>
<td>Cisco</td>
<td>CGR1xxx edge connector</td>
</tr>

<tr>
<td>Clamps</td>
<td>
DG142R-02<br>
DG142R-03<br>
DG340-3.81-02<br>
DG390-5.0-02<br>
DG390-5.0-03<br>
DG390-5.0-04<br>
Connfly DS1037-10-01<br>
Connfly DS1037-10-02<br>
Connfly DS1037-10-03<br>
Wago 235-102</td>
</tr>

<tr>
<td>Coilcraft</td>
<td>FA2672 PoE transformer
</td>
</tr>


<tr>
<td>Connectors</td>
<td>CU09SAM microUSB connector<br>
Connfly DS1069-2R<br>
Connfly DS1069-3<br>
Connfly DS1138-02-06 SIM card holder<br>
Hanrun HR911105 Ethernet connector<br>
U.FL-R-SMT
</td>
</tr>

<tr>
<td>Crystal</td>
<td>2012C2 (2.0×1.2 mm watch crystal)<br>
3215C2  (3.2×1.5 mm watch crystal)<br>
0532C4 (5.0×3.2 mm)<br>
2016C4 (2.0×1.6 mm)<br>
2520C4 (2.5×2.0 mm)</td>
</tr>

<tr>
<td>Edison</td>
<td>Intel Edison</td>
</tr>

<tr>
<td>Encoder</td>
<td>Bourns PEC11<br>
Bourns PEC12<br>
Bourns PEC16</td>
</tr>

<tr>
<td>Epcos</td>
<td>B32654 film capacitors<br>
S236 NTC thermistor</td>
</tr>

<tr>
<td>FTDI</td>
<td>FT2232HL<br>
FT2232HQ<br>
FT232RQ<br>
FT4232HL<br>
FT4232HQ</td>
</tr>

<tr>
<td>Fuse</td>
<td>SMD 5x20mm<br>
Littelfuse 0451<br>
Littelfuse 342<br>
Littelfuse 520<br>
RKEF500<br>
Telefuse BxxxxT<br>
</td>
</tr>

<tr>
<td>GPS/GSM/3G</td>
<td>Simcom SIM800C<br>
Simcom SIM900D<br>
Navia SL3333</td>
</tr>

<tr>
<td>Heatsinks</td>
<td>SK64-37SA1M3</td>
</tr>

<tr>
<td>Inductors</td>
<td>Sumida CDRH127<br>
Sumida CDRH105R<br>
Sumida CDRH8D43<br>
Sumida CDRH4D18<br>
Bourns RLB0608<br>
Bourns RLB0712<br>
Epcos SDR0302<br>
Epcos SDR0403<br>
Epcos SDR0604<br>
Epcos SDR1006<br>
ABC SH6028</td>
</tr>

<tr>
<td> IR</td>
<td>IRL6372<br>
IRF9358</td>
</tr>

<tr>
<td>Johanson</td>
<td>0896BM15A0001</td>
</tr>

<tr>
<td>Jumper</td>
<td>Solder jumper 2-pin<br>
Solder jumper 3-pin</td>
</tr>

<tr>
<td>LED</td>
<td>
0603<br>
0605 dual color<br>
0805</br>
1206 bottom emitting</br>
3528</td>
</tr>

<tr>
<td>Linear</td>
<td>LTC4054</td>
</tr>

<tr>
<td>Littelfuse</td>
<td>SMAJxxxCA<br>
SMAJxxxA<br>
SMBJxxxA<br>
SMBJxxxCA<br>
SP0503BAHTG<br>
SP0504BAHTG<br>
SP0505BAHTG<br>
</td>
</tr>

<tr>
<td>Maxim</td>
<td>MAX44000</td>
</tr>

<tr>
<td>Micrel</td>
<td>MIC2019YM6<br>
MIC2026<br>
MIC29302BU</td>
</tr>

<tr>
<td>Microchip</td>
<td>MCP3421<br>
MCP73831</td>
</tr>

<tr>
<td>Murata</td>
<td>NFM18PC</td>
</tr>

<tr>
<td>ONSemi</td>
<td>NCP1075<br>
NCP1200<br>
NCP1400<br>
NCP1402<br>
NTJS4151P<br>
NTS4101P<br>
NCP1521<br>
</td>
</tr>

<tr>
<td>Peregrine</td>
<td>PE4259</td>
</tr>

<tr>
<td>Power Integrations</td>
<td>LNK306G<br>
TNY254G<br>
TNY275G</td>
</tr>

<tr>
<td>Power Supplies</td>
<td>HGP-MK-A12<br>
Peak P10AU</td>
</tr>

<tr>
<td>Premier Magnetics</td>
<td>PNY-05015<br>
PMCU-5220</td>
</tr>

<tr>
<td>Relays</td>
<td>Omron G51A4EU<br>
Omron G6D1A<br>
Omron G6M1A<br>
TRC Type A<br>
Tyco PE<br>
Tyco RT114<br>
Tyco RT314<br>
Tyco V23092A<br>
Tyco V23092B<br>
</td>
</tr>

<tr>
<td>Semtech</td>
<td>SX1272<br>
SX1276<br>
SM712 TVS diodes</td>
</tr>

<tr>
<td>Sensors</td>
<td>Sensirion SHT21<br>
PIR</td>
</tr>

<tr>
<td>Shunt</td>
<td>Vishay WSK2512</td>
</tr>

<tr>
<td>SMD</td>
<td>Resistors, capacitors, inductors optimized for reflow soldering (smaller footprints)</td>
</tr>

<tr>
<td> ST</td>
<td>L6920<br>
LIS2DH<br>
LPS331AP<br>
LSM6DS3<br>
ST1S10PHR<br>
ST2378<br>
ST3485<br>
STM32F030F4P<br>
STM32F051C<br>
STM32F091CC<br>
STM32F401<br>
STM32L100RBT6<br>
STM32L151CCU6<br>
STMPS2141STR<br>
TSV611A</td>
</tr>

<tr>
<td>Starterkit</td>
<td>SK-ATSAMA5D3-SODIMM<br>
SK-IMX6x-SODIMM<br>
EV-IMX287-NANO<br>
</td>
</tr>

<tr>
<td>Switches</td>
<td>DTSL-61R-B (TD-21UB)<br>
FSMSM<br>
SWT-5<br>
SWT 5x3-2 (IT-1185AP)<br>
TSS-TD26-EA</td>
</tr>

<tr>
<td>TI</td>
<td>ADS1018DGS<br>
ADS1100<br>
BQ24400<br>
CC1310RGZ<br>
CC2640RSM<br>
CC2650RGZ<br>
CC430F5137<br>
DAC7571<br>
INA193<br>
ISO15DW<br>
ISO35DW<br>
ISO7521<br>
LM19C<br>
LM3414<br>
LM5008<br>
LM5009<br>
LM5010HM<br>
OPT3001<br>
PGA116<br>
REF3025<br>
SN74AUP1G14DCK<br>
SN74LVC1G04<br>
SN74LVC1G123DCT<br>
SN74LVC1G125DBV<br>
SN74LVC1G125DCK<br>
SN74LVC2G04DCK<br>
TL2575HV-*KV<br>
TLV3691DCK<br>
TPS22929D<br>
TPS2375D<br>
TPS54040<br>
TPS563200<br>
TPS61020<br>
TPS61030<br>
TPS61221<br>
TPS62120DCN<br>
TPS62172<br>
TPS62730<br>
TS5A23157DGS<br>
TXB0102DCU<br>
TXB0104PW<br>
TXB0104RUT<br>
TXB0108PW<br>
XTR116<br>
TL431ADBZ
</td>
</tr>

<tr>
<td>Transformers</td>
<td>TRC41654ANL Ethernet transformer</td>
</tr>

<tr>
<td>Unwired Devices</td>
<td>2.54mm shield for Unwired One<br>
Unwired One(THD 1.27mm connectors)<br>
Unwired One(SMD 1.27mm connectors)<br>
Unwired Mesh / Range module, side-mounted<br>
Unwired Mesh / Range module, surface mounted<br>
Unwired Mesh / Range module, through hole mounted<br>
Unwired Mesh 2450 MHz module, surface mounted<br>
Unwired Mesh / Range, model 2, vertically mounted, SMD connector<br>
Unwired Mesh / Range, model 2, vertically mounted, THD connector<br>
Unwired Mesh / Range, model 2, horizontally mounted, THD connector, removable<br>
Unwired Mesh / Range, model 2, horizontally mounted, THD connector, soldered<br>
Unwired Mesh / Range, model 2 PCB connector<br>
UNWD interface module, SMD connector<br>
UNWD interface module connector<br>
Power module connector<br>
</td>
</tr>